Subject: Re: bug#71107: 29.3; eshell-hist/Incorrect history handling with eshell-hist-ignoredups 'erase

From: Jim Porter <[email-masked]>
Date: Wed, 22 May 2024 21:35:29 -0700

On 5/22/2024 1:21 AM, Robin Campbell Joy wrote:
> Severity: minor
> Tags: patch
> 
> In case of eshell-hist-ingoredups set to 'erase, history handling isn't
> working correctly.

I believe this should already be fixed by commit 7b0f24ab1f9 from bug#63360.

However, I didn't bother to account for the case where there may be 
multiple entries to remove (I just added a FIXME note since it seemed 
like a low priority). If removing multiple duplicates is important to 
you, would you be willing to rebase your patch on top of the master 
branch? Thanks either way.